QGIS Application - Feature request #2916
Rotated Grid Annotations
2010-07-30 01:38 AM - zicke -

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 12976
Description

It would be nice if the grid annotations would also rotate when rotating the map.
Without this it looks a bit confusing (see attached pdf).

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-04-06 06:02 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#5 - 2015-11-18 07:09 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Assignee deleted (nobody -)

Hello, bug triage...

in QGIS 2.13 (and previous releases), everything that is in a Map object in the composer is rotated with it. As grid are parts of Map objects, theirs
coordinates (annotations) are now rotated with the same angle than the map.

| am closing this feature request.
